Miscellaneous Debian Package Improvements

07/06/2010 11:20 AM - Luke Murphey

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Installer Estimated time: 0.00 hour

Target version:    

Description

1. Add watch file or get-orig-source rule

2. Update change log

3. Make lintian clean

4. Create source package

5. Add complete GPL license

https://wiki.ubuntu.com/PackagingGuide/Basic

https://wiki.ubuntu.com/UbuntuDevelopment/CodeReviews#NewPackage

https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages

http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html

History

#1 - 07/27/2010 10:20 AM - Luke Murphey

Currently attempting to switch to jDeb (away from using dpkg) in order to allow building of the packages on Windows and to be able to set

permissions. Unfortunately, jDeb creates packages with the data files at absolute paths and these cannot opened or installed.

Below are some solutions to consider:

1. Using a precreated tar data file

2. Using <data> instead of <fileset>

3. Changing jDeb to include a installDir (like it supports with Maven)

4. Using fileset instead of tarfileset

#2 - 07/27/2010 10:21 AM - Luke Murphey

May want to consider creating RPMs too: https://sourceforge.net/projects/jrpm/

#3 - 07/27/2010 10:49 AM - Luke Murphey

- File Lintian_Report.xls added

#4 - 07/27/2010 11:37 PM - Luke Murphey

Fixed issue with jDeb, needed newer library (version 0.8).

#5 - 07/28/2010 12:46 AM - Luke Murphey

See http://lintian.debian.org/tags/ for information about the warnings and error messages.

#6 - 11/02/2010 01:21 PM - Luke Murphey

- Category set to Installer
https://wiki.ubuntu.com/UbuntuDevelopment/CodeReviews#NewPackage
#7 - 01/07/2011 08:17 AM - Luke Murphey

- Priority changed from Normal to Low

- Start date deleted (07/06/2010)

Files

Lintian_Report.xls 81 KB 07/27/2010 Luke Murphey
